Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.svg
Class LinearGradientFill

    java.lang.Object
      org.newdawn.slick.svg.LinearGradientFill

All Implemented Interfaces:
  TexCoordGenerator

    public class LinearGradientFill

extends java.lang.Object
implements TexCoordGenerator

A filler for shapes that applys SVG linear gradients

Author:
  kevin

Constructor Summary
`LinearGradientFill(Shape shape, Transform trans, Gradient gradient)` Create a new fill for gradients

Method Summary
`Vector2f` | `getCoordFor(float x, float y)` Get the texture coordinate for a given render position

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearGradientFill

    public LinearGradientFill(Shape shape,
                              Transform trans,
                              Gradient gradient)

  Create a new fill for gradients

  Parameters:
    `shape` - The shape being filled
    `trans` - The transform given for the shape
    `gradient` - The gradient to apply

Method Detail

### getCoordFor

    public Vector2f getCoordFor(float x,
                                float y)

  Description copied from interface: `TexCoordGenerator`
  Get the texture coordinate for a given render position

  Specified by:
    `getCoordFor` in interface `TexCoordGenerator`
  Parameters:
    `x` - The x coordinate of the vertex being rendered
    `y` - The y coordinate of the vertex being rendered
  Returns:
    The texture coordinate to apply
  See Also:
    `TexCoordGenerator.getCoordFor(float, float)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.